## gate.annotation
Class AnnotationDiff.AnnotationSetComparator

    java.lang.Object
      |
      +--gate.annotation.AnnotationDiff.AnnotationSetComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  AnnotationDiff

class AnnotationDiff.AnnotationSetComparator
extends Object
implements Comparator

Constructor Summary
`AnnotationDiff.AnnotationSetComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AnnotationDiff.AnnotationSetComparator

    public AnnotationDiff.AnnotationSetComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`